/*
 * Linux MegaRAID IDEal Software RAID Stack
 * Copyright (c) 2001 LSI Logic Corporation, All Rights Reserved.
 *-----------------------------------------------------------------------------
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *-----------------------------------------------------------------------------
 *  File Name	: megaide_datatype.h
 */

#ifndef __MEGAIDE_DATATYPE_H__
#define __MEGAIDE_DATATYPE_H__
/*1 byte in length*/
#define CHAR		char
#define UCHAR		unsigned char
/*2 byte in length*/
#define SHORT		short
#define USHORT		unsigned short
/*4 byte in length*/
#define INT		int
#define UINT		unsigned int
#define PUINT		unsigned int *
#define BOOLEAN		int

/*4 or 8 byte in length depeding upond architecture*/
#define VOID		void

#ifdef __LP64__
	#define ULONG unsigned long long 
#else
	#define ULONG unsigned long
#endif 

#ifndef TRUE
	#define TRUE		1
#endif

#ifndef FALSE
	#define FALSE		0
#endif

#endif /* __MEGAIDE_DATATYPE_H__ */

/* vim: set ts=8 sw=8 tw=78 ai si: */
