/*
 * Linux MegaRAID IDEal Software RAID Stack
 * Copyright (c) 2001 LSI Logic Corporation, All Rights Reserved.
 *-----------------------------------------------------------------------------
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *-----------------------------------------------------------------------------
 *  File Name	: megaide_proc.h
 */

#ifndef __MEGAIDE_PROC_H__
#define __MEGAIDE_PROC_H__

#if LINUX_VERSION_CODE > KERNEL_VERSION(2,6,0)
INT megaide_proc_info(struct Scsi_Host *, CHAR *pcBuffer, CHAR **ppcStart,
		off_t offset, INT iLength, INT iHostNo);
#else	
INT megaide_proc_info(CHAR *pcBuffer, CHAR **ppcStart,
		off_t offset,INT iLength, INT iHostNo, INT iInOut);
#endif
VOID megaideproc_attach(adapter_t *adapter);
VOID megaideproc_detach(adapter_t *adapter);
INT mega_proc_printf(HW_DEVICE_EXTENSION *pdev, const CHAR *pcFmt, ...);

#endif /*__MEGAIDE_PROC_H__*/

/* vim: set ts=8 sw=8 tw=78 ai si: */
